## ros-melodic-dynamixel-workbench-controllers 2.2.0

=== debian/changelog ===
ros-melodic-dynamixel-workbench-controllers (2.2.0-0stretch) stretch; urgency=high

  * Added XW540
  * Bugs fixed, typos revised
  * Contributors: Ryan Shim, Yutaka Kondo, T-Kitajima, Nico Zevallos, Madhur Deep Jain, Will Son, YongHo Na

 -- Will Son <willson@robotis.com>  Thu, 24 Sep 2020 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (2.1.0-0stretch) stretch; urgency=high

  * Removed single_manager and single_manager_gui
  * Added XH540, PRO (A Firmware), RH_P12_RN, RH_P12_RN (A Firmware)
  * Contributors: Ryan Shim

 -- Will Son <willson@robotis.com>  Mon, 03 Jun 2019 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (2.0.0-0stretch) stretch; urgency=high

  * added YAML configuration for Dynamixel
  * supported position control mode, current based position control mode through Joint Trajectory Message
  * supported velocity control mode through Twist Message
  * reduced memory usage(Contribute by @KurtE)
  * updated API for sync, bulk instruction
  * updated control period (default is 10ms)
  * supported Linux, macos
  * supported Pro+
  * supported DynamixelSDK(after v.3.6.2)
  * supported OpenManipulator
  * Contributors: Darby Lim, KurtE, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 03 Jan 2019 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (1.0.0-0stretch) stretch; urgency=high

  * upgraded read time #162
  * added Dynamixel PRO information #162
  * added PROext header
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.3.1-0stretch) stretch; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Sun, 03 Jun 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.3.0-0stretch) stretch; urgency=high

  * added cmd_vel topics, joint_state topics, msgs
  * changed compile options
  * deleted unused code
  * Merge pull request #152 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/152>  #151 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/151> #149 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/149> #132 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/132>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.2.4-0stretch) stretch; urgency=high

  * changed package.xml to format v2
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.2.3-0stretch) stretch; urgency=high

  * added dynamixel_sdk lib
  * added debug code
  * deleted anotation
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 08 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.2.2-0stretch) stretch; urgency=high

  * modified the CI configurations (#117 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/117>)
  * modified the CMakeLists.txt to fix wrong path (ros/rosdistro#17019 <https://github.com/ros/rosdistro/pull/17019>)
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 27 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.2.1-0stretch) stretch; urgency=high

  * None

 -- Pyo <pyo@robotis.com>  Wed, 21 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.2.0-0stretch) stretch; urgency=high

  * added blank
  * added linux build and example
  * added multi port example
  * modified bug
  * modified torque example
  * modified example
  * modified controllers
  * modified linux version
  * deleted build
  * deleted footnote
  * deleted annotation
  * Contributors: Darby Lim, Yoonseok Pyo

 -- Pyo <pyo@robotis.com>  Sun, 18 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.9-0stretch) stretch; urgency=high

  * modified dependency
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 02 Nov 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.8-0stretch) stretch; urgency=high

  * None

 -- Pyo <pyo@robotis.com>  Tue, 31 Oct 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.7-0stretch) stretch; urgency=high

  * added rospy for the issue https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/77
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 29 Oct 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.6-0stretch) stretch; urgency=high

  * updated annotation
  * updated controller cpp
  * updated profile function
  * updated torque control
  * updated read function
  * modified launch files
  * modified variable
  * added C++11
  * added pro condition
  * added multi port
  * added velocity and current control
  * added multi_driver
  * changed BSD license to Apache 2.0 license
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.5-0stretch) stretch; urgency=high

  * modified the cmake of toolbox
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.4-0stretch) stretch; urgency=high

  * added dynamixel new model: XL430_W250
  * added dynamixel new model: XH
  * renamed current controller -> torque controller
  * Contributors: Darby Lim, Dardy Lim

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.3-0stretch) stretch; urgency=high

  * update torque controller
  * add control parameters
  * modified ros nodehandle
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 28 Nov 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.2-0stretch) stretch; urgency=high

  * add stop sign in velocity controller
  * modify beta test feedback
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 30 Oct 2016 15:00:00 -0000

ros-melodic-dynamixel-workbench-controllers (0.1.1-0stretch) stretch; urgency=high


